### Hierarchy

- ErrorConstructor

## Index

### Properties

- prepareStackTrace
- stackTraceLimit

### Methods

- captureStackTrace

## Properties

### Optional prepareStackTrace

prepareStackTrace: undefined | function

- Defined in node_modules/@types/node/globals.d.ts:140

Optional override for formatting stack traces

see

  https://github.com/v8/v8/wiki/Stack%20Trace%20API#customizing-stack-traces

### stackTraceLimit

stackTraceLimit: number

- Defined in node_modules/@types/node/globals.d.ts:142

## Methods

### captureStackTrace

- captureStackTrace(targetObject: Object, constructorOpt?: Function): void

- - Defined in node_modules/@types/node/globals.d.ts:133

  Create .stack property on a target object

  #### Parameters

  - ##### targetObject: Object

  - ##### Optional constructorOpt: Function

  #### Returns void

Generated using TypeDoc